500 Internal Server Error on Multiple Pages

Added by Cedric Wienold over 8 years ago

First, as per the sticky, my system info:

$ ruby --version
ruby 1.8.7 (2011-06-30 patchlevel 352) [i686-linux]
$ rails --version
Rails 2.3.12
$ mysql --version
mysql Ver 14.14 Distrib 5.1.41, for debian-linux-gnu (i486) using readline 6.1
$ apache2 -v
Server version: Apache/2.2.14 (Ubuntu)
Server built: Sep 1 2011 09:45:41

# RAILS_ENV=production script/about
About your application's environment
Ruby version 1.9.2 (i686-linux)
RubyGems version 1.3.7
Rack version 1.1.2
Rails version 2.3.11
Active Record version 2.3.11
Active Resource version 2.3.11
Action Mailer version 2.3.11
Active Support version 2.3.11
Application root /var/www/redmine-1.2.1
Environment production
Database adapter mysql
Database schema version 20110511000000

The problem

I'm getting generic 500 Internal Server errors in a lot of places when I use the site. Log in as admin, check "My account", try to create a new user (but New Group works fine), Settings. Possibly more, but that's all I can find so far.

Any ideas where I can take this to solve the problem?

Thank you.

Replies (7)

RE: 500 Internal Server Error on Multiple Pages - Added by Cedric Wienold over 8 years ago

Just noticed there's a discrepancy between rails --version and script/about in the version numbers. Could this be causing my problems somehow?

RE: 500 Internal Server Error on Multiple Pages - Added by Etienne Massip over 8 years ago

Yes, but likely less than the discrepancy between Ruby versions, Ruby 1.9 is not supported by RM right now.

RE: 500 Internal Server Error on Multiple Pages - Added by Cedric Wienold over 8 years ago

ruby -v shows that Ruby 1.8.7 is currently installed. Why is script/about confused about this?

RE: 500 Internal Server Error on Multiple Pages - Added by Etienne Massip over 8 years ago

Because it says "Ruby version 1.9.2 (i686-linux)".

RE: 500 Internal Server Error on Multiple Pages - Added by Cedric Wienold over 8 years ago

It says 1.9.2 because it's confused. I'm still wondering why it's actually confused. I set the default version to 1.8.7 via rvm, so why is the script believing it should be using 1.9.2?

RE: 500 Internal Server Error on Multiple Pages - Added by Cedric Wienold over 8 years ago

Update: Did `rvmsudo rvm remove 1.9.2` and `about/script` is still looking for 1.9.2. Is there a way to specifically tell Redmine to look for 1.8.7 that I'm just missing?

RE: 500 Internal Server Error on Multiple Pages - Added by Etienne Massip over 8 years ago

I don't know anything about RVM, sorry.

(1-7/7)